Name:		xfce4-windowlist-plugin
Version:	0.1.0
Release:	5%{?dist}
Summary:	Windowlist plugin for the Xfce panel

Group:		User Interface/Desktops
License:	BSD
URL:		http://xfce-goodies.berlios.de/
Source0:	http://download.berlios.de/xfce-goodies/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.2, libxfcegui4-devel >= 4.2, libxml2-devel
Requires:	xfce4-panel >= 4.2

%description
Windowlist plugin for the Xfce panel. The menubutton shows the icon of the 
active window and leftclick pops up a window list. Leftclick on one of the 
items activates the selected window, rightclick pops up a window action menu.

%prep
%setup -q -n %{name}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/xfce4/panel-plugins/*.so

%changelog
* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-5
- Require xfce4-panel.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-4
- Add libxfcegui4-devel BuildReqs.
- Fix %defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-1.fc3.cw
- Initial RPM release.
